<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Smart Folder:  Fichier source de inc/parser.h</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Smart Folder
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">Un répertoire virtuel de recherche de fichiers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('parser_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">parser.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="parser_8h.html">Aller à la documentation de ce fichier.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="wrapper_8h.html">wrapper.h</a>&quot;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#ifndef _PARSER_H_</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#define _PARSER_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="parser_8h.html#ad14effda14501a769b3d46984d43aa00">   22</a></span>&#160;<span class="preprocessor">#define MAX_CMDS         5</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="parser_8h.html#a47f2e62c0dbebc787052c165afcada0e">   27</a></span>&#160;<span class="preprocessor">#define NAME             0</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="parser_8h.html#a70ed59adcb4159ac551058053e649640">   32</a></span>&#160;<span class="preprocessor">#define SIZE             1</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="parser_8h.html#a30b328ca499f27b3d0f8111b495834ca">   37</a></span>&#160;<span class="preprocessor">#define DATE             2</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="parser_8h.html#a3b60a202dfdcee621372e62aaf7d04f3">   42</a></span>&#160;<span class="preprocessor">#define OWNER            3</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="parser_8h.html#ab8c52c1b4c021ed3e6b6b677bd2ac019">   47</a></span>&#160;<span class="preprocessor">#define MODE             4</span></div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="parser_8h.html#a9d8f54c9e4c2990b9171d1c88119f454">   52</a></span>&#160;<span class="preprocessor">#define KILO         1024</span></div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="parser_8h.html#a78a6115b485de47c7cc56b224c558ea2">   57</a></span>&#160;<span class="preprocessor">#define MEGA     1048576</span></div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno"><a class="line" href="parser_8h.html#ad63937294d26f46ec6eada84b1ee8fec">   62</a></span>&#160;<span class="preprocessor">#define GIGA 1073741824</span></div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno"><a class="line" href="parser_8h.html#a278cf415676752815cfb411cb0b32802">   67</a></span>&#160;<span class="preprocessor">#define STRLEN 80</span></div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno"><a class="line" href="structcriteria__t.html">   81</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span>{</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <span class="keywordtype">int</span> index;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <span class="keywordtype">char</span> str[<a class="code" href="parser_8h.html#a278cf415676752815cfb411cb0b32802">STRLEN</a>]; </div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    <span class="keywordtype">char</span> compare; </div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    <span class="keywordtype">char</span> type; </div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    <span class="keywordtype">long</span> value;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;} <a class="code" href="structcriteria__t.html">criteria_t</a>;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno"><a class="line" href="structexpression__t.html">   94</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span>{</div><div class="line"><a name="l00095"></a><span class="lineno"><a class="line" href="structexpression__t.html#a57c6dd285b24f0fc512efb9e0747ed94">   95</a></span>&#160;    <a class="code" href="structcriteria__t.html">criteria_t</a>** <a class="code" href="structexpression__t.html#a57c6dd285b24f0fc512efb9e0747ed94">criterias</a>; </div><div class="line"><a name="l00096"></a><span class="lineno"><a class="line" href="structexpression__t.html#ae79d372c58f33f208c32e523bd45bae1">   96</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="structexpression__t.html#ae79d372c58f33f208c32e523bd45bae1">nb_criterias</a>;       </div><div class="line"><a name="l00097"></a><span class="lineno"><a class="line" href="structexpression__t.html#a1105ad267da681e851876e13179ceff3">   97</a></span>&#160;    <span class="keywordtype">char</span>** <a class="code" href="structexpression__t.html#a1105ad267da681e851876e13179ceff3">expression</a>;      </div><div class="line"><a name="l00098"></a><span class="lineno"><a class="line" href="structexpression__t.html#a4276742484c54a090496eace4aa9ce2f">   98</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="structexpression__t.html#a4276742484c54a090496eace4aa9ce2f">expression_size</a>;    </div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;} <a class="code" href="structexpression__t.html">expression_t</a>;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;<a class="code" href="structexpression__t.html">expression_t</a>* <a class="code" href="parser_8h.html#a78f5d2d09379a1560099eb45a19245e3">parse</a>(<span class="keywordtype">char</span>** expression, <span class="keywordtype">int</span> <a class="code" href="list_8h.html#a8ffe93a3beaf22d1d8cd6ee35beb1012">size</a>);</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;<span class="keywordtype">void</span> <a class="code" href="parser_8h.html#abb0d13f407c13575c11795a39f35dcd9">free_expression_struct</a>(<a class="code" href="structexpression__t.html">expression_t</a>* strct);</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="structexpression__t_html_ae79d372c58f33f208c32e523bd45bae1"><div class="ttname"><a href="structexpression__t.html#ae79d372c58f33f208c32e523bd45bae1">expression_t::nb_criterias</a></div><div class="ttdeci">int nb_criterias</div><div class="ttdef"><b>Definition:</b> parser.h:96</div></div>
<div class="ttc" id="wrapper_8h_html"><div class="ttname"><a href="wrapper_8h.html">wrapper.h</a></div><div class="ttdoc">C&amp;#39;est le header du fichier wrapper.c. </div></div>
<div class="ttc" id="parser_8h_html_a278cf415676752815cfb411cb0b32802"><div class="ttname"><a href="parser_8h.html#a278cf415676752815cfb411cb0b32802">STRLEN</a></div><div class="ttdeci">#define STRLEN</div><div class="ttdef"><b>Definition:</b> parser.h:67</div></div>
<div class="ttc" id="parser_8h_html_abb0d13f407c13575c11795a39f35dcd9"><div class="ttname"><a href="parser_8h.html#abb0d13f407c13575c11795a39f35dcd9">free_expression_struct</a></div><div class="ttdeci">void free_expression_struct(expression_t *strct)</div><div class="ttdoc">Libération de la mémoire d&amp;#39;une structure expression_t. </div><div class="ttdef"><b>Definition:</b> parser.c:278</div></div>
<div class="ttc" id="list_8h_html_a8ffe93a3beaf22d1d8cd6ee35beb1012"><div class="ttname"><a href="list_8h.html#a8ffe93a3beaf22d1d8cd6ee35beb1012">size</a></div><div class="ttdeci">unsigned int size(node_t *list)</div><div class="ttdoc">Calcul de la taille de la liste. </div><div class="ttdef"><b>Definition:</b> list.c:135</div></div>
<div class="ttc" id="structexpression__t_html"><div class="ttname"><a href="structexpression__t.html">expression_t</a></div><div class="ttdoc">Représente les critères de recherche et l&amp;#39;expression booléenne combinant les différents critères (sou...</div><div class="ttdef"><b>Definition:</b> parser.h:94</div></div>
<div class="ttc" id="structcriteria__t_html"><div class="ttname"><a href="structcriteria__t.html">criteria_t</a></div><div class="ttdoc">Représente les informations des critères de recherche : </div><div class="ttdef"><b>Definition:</b> parser.h:81</div></div>
<div class="ttc" id="structexpression__t_html_a4276742484c54a090496eace4aa9ce2f"><div class="ttname"><a href="structexpression__t.html#a4276742484c54a090496eace4aa9ce2f">expression_t::expression_size</a></div><div class="ttdeci">int expression_size</div><div class="ttdef"><b>Definition:</b> parser.h:98</div></div>
<div class="ttc" id="structexpression__t_html_a1105ad267da681e851876e13179ceff3"><div class="ttname"><a href="structexpression__t.html#a1105ad267da681e851876e13179ceff3">expression_t::expression</a></div><div class="ttdeci">char ** expression</div><div class="ttdef"><b>Definition:</b> parser.h:97</div></div>
<div class="ttc" id="structexpression__t_html_a57c6dd285b24f0fc512efb9e0747ed94"><div class="ttname"><a href="structexpression__t.html#a57c6dd285b24f0fc512efb9e0747ed94">expression_t::criterias</a></div><div class="ttdeci">criteria_t ** criterias</div><div class="ttdef"><b>Definition:</b> parser.h:95</div></div>
<div class="ttc" id="parser_8h_html_a78f5d2d09379a1560099eb45a19245e3"><div class="ttname"><a href="parser_8h.html#a78f5d2d09379a1560099eb45a19245e3">parse</a></div><div class="ttdeci">expression_t * parse(char **expression, int size)</div><div class="ttdoc">Analyse et construction de la structure expression_t. </div><div class="ttdef"><b>Definition:</b> parser.c:252</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_bfccd401955b95cf8c75461437045ac0.html">inc</a></li><li class="navelem"><a class="el" href="parser_8h.html">parser.h</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
